netCDF::NcAtt Class Referenceabstract

`#include <ncAtt.h>`

Inheritance diagram for netCDF::NcAtt:
[legend]

## Public Member Functions

size_t | getAttLength () const
std::string | getName () const
NcGroup | getParentGroup () const
NcType | getType () const
void | getValues (char **dataValues) const
void | getValues (char *dataValues) const
void | getValues (double *dataValues) const
void | getValues (float *dataValues) const
void | getValues (int *dataValues) const
void | getValues (long *dataValues) const
void | getValues (long long *dataValues) const
void | getValues (short *dataValues) const
void | getValues (signed char *dataValues) const
void | getValues (std::string &dataValues) const
void | getValues (unsigned char *dataValues) const
void | getValues (unsigned int *dataValues) const
void | getValues (unsigned long long *dataValues) const
void | getValues (unsigned short *dataValues) const
void | getValues (void *dataValues) const
bool | isNull () const
| NcAtt ()
| NcAtt (bool nullObject)
| NcAtt (const NcAtt &rhs)
bool | operator!= (const NcAtt &rhs) const
bool | operator== (const NcAtt &rhs) const
virtual | ~NcAtt ()=0

## Protected Member Functions

NcAtt & | operator= (const NcAtt &rhs)

## Detailed Description

Abstract base class represents inherited by ncVarAtt and ncGroupAtt.

## Constructor & Destructor Documentation

## ~NcAtt()

NcAtt::~NcAtt | ( |  | ) |

pure virtual

destructor

## NcAtt() [1/3]

NcAtt::NcAtt | ( |  | ) |

Constructor generates a null object.

## NcAtt() [2/3]

NcAtt::NcAtt | ( | bool | nullObject | ) |

Constructor for non-null instances.

## NcAtt() [3/3]

NcAtt::NcAtt | ( | const NcAtt & | rhs | ) |

The copy constructor.

## Member Function Documentation

## getAttLength()

size_t NcAtt::getAttLength | ( |  | ) | const

Gets attribute length.

## getName()

std::string netCDF::NcAtt::getName | ( |  | ) | const

inline

Get the attribute name.

## getParentGroup()

netCDF::NcGroup NcAtt::getParentGroup | ( |  | ) | const

Gets parent group.

## getType()

NcType NcAtt::getType | ( |  | ) | const

Returns the attribute type.

## getValues() [1/15]

void NcAtt::getValues | ( | char ** | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [2/15]

void NcAtt::getValues | ( | char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [3/15]

void NcAtt::getValues | ( | double * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [4/15]

void NcAtt::getValues | ( | float * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [5/15]

void NcAtt::getValues | ( | int * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [6/15]

void NcAtt::getValues | ( | long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [7/15]

void NcAtt::getValues | ( | long long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [8/15]

void NcAtt::getValues | ( | short * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [9/15]

void NcAtt::getValues | ( | signed char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [10/15]

void netCDF::NcAtt::getValues | ( | std::string & | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. (The string variable does not need preallocating.)

## getValues() [11/15]

void NcAtt::getValues | ( | unsigned char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [12/15]

void NcAtt::getValues | ( | unsigned int * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [13/15]

void NcAtt::getValues | ( | unsigned long long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [14/15]

void NcAtt::getValues | ( | unsigned short * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getValues() [15/15]

void NcAtt::getValues | ( | void * | dataValues | ) | const

Gets a netCDF attribute. The user must ensure that the variable "dataValues" has sufficient space to hold the attribute.

Parameters

  dataValues | On return contains the value of the attribute. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## isNull()

bool netCDF::NcAtt::isNull | ( |  | ) | const

inline

Returns true if this object is null (i.e. it has no contents); otherwise returns false.

## operator!=()

bool NcAtt::operator!= | ( | const NcAtt & | rhs | ) | const

!= operator

## operator=()

NcAtt & NcAtt::operator= | ( | const NcAtt & | rhs | ) |

protected

assignment operator

## operator==()

bool NcAtt::operator== | ( | const NcAtt & | rhs | ) | const

equivalence operator

The documentation for this class was generated from the following files:

- ncAtt.h
- ncAtt.cpp